import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AnchorPoints } from './anchor-points';
import { FractalLayout } from './fractal-layout';
import { Inheritance } from './inheritance';
import { MinApp } from './min-app';
import { Controls } from './controls';
import { CompositeNodes } from './composite-nodes';
import { OrgChart } from './org-chart';
import { TabbedView } from './tabbed-view';

const routes: Routes = [
  { path: '', redirectTo: '/minapp', pathMatch: 'full' },
  { path: 'anchorpoints', component: AnchorPoints },
  { path: 'fractallayout', component: FractalLayout },
  { path: 'inheritance', component: Inheritance },
  { path: 'minapp', component: MinApp },
  { path: 'controls', component: Controls },
  { path: 'composite', component: CompositeNodes },
  { path: 'org-chart', component: OrgChart },
  { path: 'tabbed-view', component: TabbedView }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
export const routeComponents = [AnchorPoints, FractalLayout, Inheritance, MinApp, Controls, CompositeNodes, OrgChart, TabbedView];
