import { Component, OnInit, ViewChild } from '@angular/core';
import * as Diagramming from '@mindfusion/diagramming';
import { DiagramView } from '@mindfusion/diagramming-angular';

@Component({
    selector: 'controls',
    templateUrl: './controls.html'
})
export class Controls implements OnInit {
    @ViewChild(DiagramView) diagramViewControl!: DiagramView;
    diagram!: Diagramming.Diagram;
    nodes: Diagramming.ShapeNode [] = [];
    shapes: string [] = ["Actor", "RoundRect", "Triangle", "Decision"];

    ngOnInit(): void {

        this.diagram = new Diagramming.Diagram();

        //styling
        var theme = new Diagramming.Theme();
        var shapeNodeStyle = new Diagramming.Style();
        shapeNodeStyle.brush = { type: 'SolidBrush', color: '#e0e9e9' };
        shapeNodeStyle.stroke = "#7F7F7F";
        shapeNodeStyle.fontName = "Verdana";
        shapeNodeStyle.fontSize = 4;
        shapeNodeStyle.nodeEffects = [new Diagramming.GlassEffect()];
        theme.styles.set("std:ShapeNode", shapeNodeStyle);
        this.diagram.theme = theme;

        // add some nodes to the NodeListView
        for (var i = 0; i < this.shapes.length; ++i) {
            var node = new Diagramming.ShapeNode();
            node.text = this.shapes[i];
            node.shape = Diagramming.Shape.fromId(this.shapes[i]);

            this.nodes.push(node);
        }
    }

}